Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.jms
Class SonicMQVendorAdapter

    java.lang.Object
      |
      +--org.apache.axis.components.jms.JMSVendorAdapter
            |
            +--org.apache.axis.components.jms.BeanVendorAdapter
                  |
                  +--org.apache.axis.components.jms.SonicMQVendorAdapter

public class SonicMQVendorAdapter
extends BeanVendorAdapter

Defines SonicMQ specific constants for connnection factory creation. Overrides methods in BeanVendorAdapter to fill in MQ classnames

Author:
  Jaime Meritt (jmeritt@sonicsoftware.com)

Field Summary
`static java.lang.String` | `BROKER_URL` `SonicConnectionFactory` parameter valid for either domain.
`static java.lang.String` | `CONNECT_ID` `SonicConnectionFactory` parameter valid for either domain.
`static java.lang.String` | `CONNECTION_URLS` `SonicConnectionFactory` parameter valid for either domain.
`static java.lang.String` | `DEFAULT_PASSWORD` `SonicConnectionFactory` parameter valid for either domain.
`static java.lang.String` | `DEFAULT_USERNAME` `SonicConnectionFactory` parameter valid for either domains.
`static java.lang.String` | `LOAD_BALANCING` `SonicConnectionFactory` parameter valid for either domain.
`static java.lang.String` | `MONITOR_INTERVAL` `SonicConnectionFactory` parameter valid for either domain.
`static java.lang.String` | `PERSISTENT_DELIVERY` `SonicConnectionFactory` parameter valid for either domain.
`static java.lang.String` | `PING_INTERVAL` `SonicConnectionFactory` parameter valid for either domain.
`static java.lang.String` | `PREFETCH_COUNT` `SonicConnectionFactory` parameter valid for the PTP domain.
`static java.lang.String` | `PREFETCH_THRESHOLD` `SonicConnectionFactory` parameter valid for the PTP domain.
`static java.lang.String` | `RECONNECT_INTERVAL` `SonicConnectionFactory` parameter valid for either domain.
`static java.lang.String` | `RECONNECT_TIMEOUT` `SonicConnectionFactory` parameter valid for either domain.
`static java.lang.String` | `SELECTOR_AT_BROKER` `SonicConnectionFactory` parameter valid for the PubSub domain.
`static java.lang.String` | `SEQUENTIAL` `SonicConnectionFactory` parameter valid for either domain.

Fields inherited from class org.apache.axis.components.jms.BeanVendorAdapter
`CONNECTION_FACTORY_CLASS`

Constructor Summary
`SonicMQVendorAdapter()`

Method Summary
`javax.jms.QueueConnectionFactory` | `getQueueConnectionFactory(java.util.HashMap cfConfig)`
`javax.jms.TopicConnectionFactory` | `getTopicConnectionFactory(java.util.HashMap cfConfig)`

Methods inherited from class org.apache.axis.components.jms.JMSVendorAdapter
`getQueue, getTopic`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BROKER_URL

    public static final java.lang.String BROKER_URL

  `SonicConnectionFactory` parameter valid for either domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory`. This is a required property. The value must be a `java.lang.String` See the SonicMQ documentation for information on this property

### DEFAULT_USERNAME

    public static final java.lang.String DEFAULT_USERNAME

  `SonicConnectionFactory` parameter valid for either domains. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` This is a required property for secure brokers. The value must be a `java.lang.String` See the SonicMQ documentation for information on this property

### DEFAULT_PASSWORD

    public static final java.lang.String DEFAULT_PASSWORD

  `SonicConnectionFactory` parameter valid for either domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` This is a required property for secure brokers. The value must be a `java.lang.String` See the SonicMQ documentation for information on this property

### PING_INTERVAL

    public static final java.lang.String PING_INTERVAL

  `SonicConnectionFactory` parameter valid for either domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` The value must be a `java.lang.Long` See the SonicMQ documentation for information on this property

### RECONNECT_INTERVAL

    public static final java.lang.String RECONNECT_INTERVAL

  `SonicConnectionFactory` parameter valid for either domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` The value must be a `java.lang.Integer` See the SonicMQ documentation for information on this property

### RECONNECT_TIMEOUT

    public static final java.lang.String RECONNECT_TIMEOUT

  `SonicConnectionFactory` parameter valid for either domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` The value must be a `java.lang.Integer` See the SonicMQ documentation for information on this property

### CONNECT_ID

    public static final java.lang.String CONNECT_ID

  `SonicConnectionFactory` parameter valid for either domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` The value must be a `java.lang.String` See the SonicMQ documentation for information on this property

### CONNECTION_URLS

    public static final java.lang.String CONNECTION_URLS

  `SonicConnectionFactory` parameter valid for either domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` The value must be a `java.lang.String` See the SonicMQ documentation for information on this property

### LOAD_BALANCING

    public static final java.lang.String LOAD_BALANCING

  `SonicConnectionFactory` parameter valid for either domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` The value must be a `java.lang.Boolean` See the SonicMQ documentation for information on this property

### MONITOR_INTERVAL

    public static final java.lang.String MONITOR_INTERVAL

  `SonicConnectionFactory` parameter valid for either domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` The value must be a `java.lang.Long` See the SonicMQ documentation for information on this property

### PERSISTENT_DELIVERY

    public static final java.lang.String PERSISTENT_DELIVERY

  `SonicConnectionFactory` parameter valid for either domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` The value must be a `java.lang.Boolean` See the SonicMQ documentation for information on this property

### SEQUENTIAL

    public static final java.lang.String SEQUENTIAL

  `SonicConnectionFactory` parameter valid for either domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` The value must be a `java.lang.Boolean` See the SonicMQ documentation for information on this property

### PREFETCH_COUNT

    public static final java.lang.String PREFETCH_COUNT

  `SonicConnectionFactory` parameter valid for the PTP domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` The value must be a `java.lang.Integer` See the SonicMQ documentation for information on this property

### PREFETCH_THRESHOLD

    public static final java.lang.String PREFETCH_THRESHOLD

  `SonicConnectionFactory` parameter valid for the PTP domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` The value must be a `java.lang.Integer` See the SonicMQ documentation for information on this property

### SELECTOR_AT_BROKER

    public static final java.lang.String SELECTOR_AT_BROKER

  `SonicConnectionFactory` parameter valid for the PubSub domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` The value must be a `java.lang.Boolean` See the SonicMQ documentation for information on this property

Constructor Detail

### SonicMQVendorAdapter

    public SonicMQVendorAdapter()

Method Detail

### getQueueConnectionFactory

    public javax.jms.QueueConnectionFactory getQueueConnectionFactory(java.util.HashMap cfConfig)
                                                               throws java.lang.Exception

  Overrides:
    `getQueueConnectionFactory` in class `BeanVendorAdapter`

### getTopicConnectionFactory

    public javax.jms.TopicConnectionFactory getTopicConnectionFactory(java.util.HashMap cfConfig)
                                                               throws java.lang.Exception

  Overrides:
    `getTopicConnectionFactory` in class `BeanVendorAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.